### Function

# Fwupd Request flag_to_string

#### Declaration [src]

    const gchar*
    fwupd_request_flag_to_string (
      FwupdRequestFlags flag
    )

#### Description [src]

Converts an enumerated request flag to a string.

Available since: | 1.8.6

#### Parameters

`flag` | `FwupdRequestFlags`
| A request flag, e.g. `FWUPD_REQUEST_FLAG_NONE`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.